From: [email-masked] (Henrike Eisfeld)
Date: Thu, 2 Feb 1995 18:05:37 +0000 (GMT)

Lesbian Avengers officially founded in Berlin, Germany

Last Monday (January 30) the Lesbian Avengers were finally "officially" 
founded in Berlin, Germany. Approximately 60 dykes attended the meeting 
and there are already a lot of ideas for the next actions. Be prepared!
Meetings are going to be held bi-weekly (due to roomingproblems) at 
"Pelze", the next meeting is on February, 13. The athmosphere at the 
meeting was very enthusiastic and I'm sure you will hear of the Lesbian 
Avengers, Berlin soon!
 
Greetings from Berlin,
		Henrike

Questions, comments, donations, kisses to:
[email-masked]